Commit 23cb06f1 authored by Michael Biebl's avatar Michael Biebl
Browse files

Do proper refcounting of the PAM module package on prerm

so that we don't drop the module from the PAM config when uninstalling
a foreign-arch package.  Related to Ubuntu bug #1295521.
parent 2737d229
systemd (204-9) UNRELEASED; urgency=medium
[ Michael Biebl ]
* Do not send potentially private fstab information without prior user
confirmation. (Closes: #743158)
* Switch from gitpkg to git-buildpackage. Update README.source accordingly.
[ Steve Langasek ]
* Do proper refcounting of the PAM module package on prerm, so that we
don't drop the module from the PAM config when uninstalling a
foreign-arch package. Related to Ubuntu bug #1295521.
-- Michael Biebl <biebl@debian.org> Sat, 26 Apr 2014 10:41:18 +0200
systemd (204-8) unstable; urgency=low
......
......@@ -13,7 +13,7 @@ set -e
#
# This may need to change later as pam-auth-update evolves.
if [ "$1" = "remove" ] ; then
if [ "$1" = remove ] && [ "${DPKG_MAINTSCRIPT_PACKAGE_REFCOUNT:-1}" = 1 ]; then
pam-auth-update --package --remove systemd
fi
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment